Subject: Re: [pim] some questions about IGMP-MLD Interworking Function

From: <[email-masked]>
Date: Fri, 7 Jun 2019 12:52:01 +0000

Hi Hongji,

IGMP messages received via if1 will need to be transformed and sent out using if2 in your example.

The proxy needs to be configured with mPREFXI64/uPREFIX64 for its stateless address translation matters.

Cheers,
Med

De : Hongji Zhao [mailto:[email-masked]]
Envoyé : mercredi 29 mai 2019 10:20
À : BOUCADAIR Mohamed TGI/OLN
Cc : [email-masked]; [email-masked]
Objet : some questions about IGMP-MLD Interworking Function

Hi Med,

There is  an Figure 2: IGMP-MLD Interworking in section 6.1 of RFC8114.

+----------+ IGMP    +-------+ MLD        +---------+
| IPv4     |---------| mB4   |------------| PIM     |
| Receiver |     if1 |       |if2      if3| DR      |
+----------+       | +-------+ |        | +---------+
                   |           |        |
         IGMP enable?     MLD Proxy?   MLD enable?

To implement IGMP-MLD Interworking Function, it is needed to do the following configuration. Is it right?

if1 of mB4    ---  IGMP enable ?
if2 of mB4    ---  MLD Proxy ?
if3 of PIM DR ---- MLD enable?

BR/Hongji
赵宏吉

From: [email-masked] <[email-masked]>
Sent: Tuesday, May 28, 2019 4:40 PM
To: [email-masked]
Subject: Mail regarding draft-zhao-pim-igmp-mld-proxy-yang

Dear authors,

I do think that the module should be updated to take into account the considerations discussed in:
https://tools.ietf.org/html/rfc8114#section-6.1

Thank you.

Cheers,
Med